%define api_version 1.4
%define pkg_name geronimo-j2ee_%{api_version}_spec

Name:          geronimo-j2ee-1.4-api
Version:       1.2
Release:       %mkrel 1
Summary:       J2EE v1.4 APIs
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/1_1_1/geronimo-spec-j2ee/ geronimo-j2ee_1.4_spec
Source0:       geronimo-j2ee_1.4_spec-1.2-src-svn.tar.gz
Patch0:        geronimo-j2ee-1.4-api-pom_xml.patch
Patch1:        geronimo-j2ee-1.4-api-assembly.patch


BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: geronimo-parent-poms
BuildRequires: maven
BuildRequires: maven-assembly-plugin

BuildRequires: geronimo-commonj-1.1-api
BuildRequires: geronimo-corba-2.3-api
BuildRequires: geronimo-ejb-2.1-api
BuildRequires: geronimo-j2ee-connector-1_5-api
BuildRequires: geronimo-j2ee-deployment-1.1-api
BuildRequires: geronimo-j2ee-jacc-1.0-api
BuildRequires: geronimo-j2ee-management-1.0-api
BuildRequires: geronimo-jaf-1.0.2-api
BuildRequires: geronimo-javamail-1.3.1-api
BuildRequires: geronimo-jaxr-1.0-api
BuildRequires: geronimo-jms
BuildRequires: geronimo-jsp-2.0-api
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: geronimo-qname
BuildRequires: geronimo-saaj-1.1-api
BuildRequires: geronimo-servlet-2.4-api
BuildRequires: geronimo-jaxrpc

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
This package contains J2EE Specification (the complete set in one jar)

%prep
%setup -q -n %{pkg_name}

chmod -R go=u-w *

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%patch0 -p0
%patch1 -p1

%build

mvn-rpmbuild -Ddescriptor=$PWD/src/main/assembly/j2ee.xml

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-j2ee-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-j2ee-%{api_version}-api-%{version}.jar geronimo-j2ee-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-j2ee-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-j2ee-%{api_version}-api.pom geronimo-j2ee-%{api_version}-api.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-j2ee-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-j2ee-1.4-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt


%changelog

* Tue Sep 06 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 139132
- Add geronimo-jaxrpc as buildrequires
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-j2ee-1.4-api

